# Find the language of up to 50 texts

`POST /language/detect` · Rivier · language

Find the language of up to 50 texts.

- Scope: language:read
- Mcp: rivier_language_detect
- Graphql: Query.languageTextDetect
- Sdk: language.text.detect
- Cli: language text detect

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "texts": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 5000
      },
      "minItems": 1,
      "maxItems": 50
    }
  },
  "required": [
    "texts"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/language/detect' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "texts": [
    "string"
  ]
}'
```
